﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DalDemo
{
    public static class Program
    {

        public static void Main()
        {

            using (DAL.OrdersDbGateway dal = new DalDemo.DAL.OrdersDbGateway(Properties.Settings.Default.NorthwindConnectionString))
            {

                // Get and print one order.
                Entities.Order order = dal.GetOrder(11000);
                PrintOrder(order);

                Console.WriteLine();
                Console.WriteLine("Press any key to continue.");
                Console.ReadKey();


                // Get and print orders that an employee has processed.
                IList<Entities.Order> orders = dal.GetOrdersByEmployeeId(2);
                // IList<Entities.Order> orders = dal.GetOrders();

                Console.WriteLine("Orders for Employee #2");
                if (null != orders && orders.Count > 0)
                {
                    foreach (Entities.Order o in orders)
                    {
                        Console.WriteLine("   #{0} \t - [{1}]", o.OrderID, o.Metadata.EmployeeName);
                        //Console.WriteLine("   #{0} \t - [{1}] \t - [{2}]", o.OrderID, o.Metadata.EmployeeName, o.Metadata.Title);
                    }
                }

            }

            Console.WriteLine("Press any key to end the application.");
            Console.ReadKey();
        }

        public static void PrintOrder(Entities.Order order)
        {
            Console.WriteLine("Order            #{0}", order.OrderID);
            Console.WriteLine("Order Date:      {0}", order.OrderDate.ToString());
            Console.WriteLine("Shipping Method: {0}", order.ShippingMethod.ToString());
            Console.WriteLine("Employee:        {0}", order.Metadata.EmployeeName);
        }

    }
}
