﻿using System;
using System.Diagnostics;
using Microsoft.CSharp;
using Microsoft.VisualBasic;
using T4ConsoleApp.CodeDOM;

namespace T4ConsoleApp
{
    class Program
    {
        #region [ Constants ]

        private const string path = @"C:\\Users\\mleeb\";

        #endregion [ Constants ]

        static void Main()
        {
            // Generate a C# class file named "MyCustomer.cs"
            Customer customer = new Customer("MyCustomer");
            CSharpCodeProvider csharpCodeDomProvider = new CSharpCodeProvider();
            customer.CreateCodeDomCustomer(path, csharpCodeDomProvider);
            LaunchNotepad(path + "MyCustomer.cs");

            // Generate a VB.NET class file named "MyCustomer.vb"
            VBCodeProvider vbCodeDomProvider = new VBCodeProvider();
            customer.CreateCodeDomCustomer(path, vbCodeDomProvider);
            LaunchNotepad(path + "MyCustomer.vb");
        }

        #region [ Launch Notepad ]

        private static void LaunchNotepad(string file)
        {
            try
            {
                Process p = new Process();
                p.StartInfo.FileName = "notepad";
                p.StartInfo.Arguments = file;
                p.Start();
            }
            catch (Exception ex)
            {
                Console.WriteLine("Exception Occurred :{0},{1}", ex.Message, ex.StackTrace);
            }
        }

        #endregion [ Launch Notepad ]
    }
}